Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process
Class ProcessBaseImpl

    java.lang.Object
      org.jbpm.process.ProcessBaseImpl

All Implemented Interfaces:
  KnowledgeBaseEventManager, org.drools.impl.InternalKnowledgeBase, KnowledgeBase

    public class ProcessBaseImpl

extends Object
implements org.drools.impl.InternalKnowledgeBase

Constructor Summary
`ProcessBaseImpl()`

Method Summary
`void` | `addEventListener(KnowledgeBaseEventListener listener)` Add an event listener.
`void` | `addKnowledgePackage(KnowledgePackage knowledgePackage)`
`void` | `addKnowledgePackages(Collection<KnowledgePackage> knowledgePackages)` Add the collection of KnowledgePackages to the KnowledgeBase.
`Set<String>` | `getEntryPointIds()` Returns the set of the entry points declared and/or used in this knowledge base
`FactType` | `getFactType(String packageName, String typeName)` Returns the FactType identified by the given package and type names.
`Collection<KnowledgeBaseEventListener>` | `getKnowledgeBaseEventListeners()` Returns all event listeners.
`KnowledgePackage` | `getKnowledgePackage(String packageName)` Returns a reference to the KnowledgePackage identified by the given name.
`Collection<KnowledgePackage>` | `getKnowledgePackages()` Return an immutable collection of the packages that exist in this KnowledgeBase.
`Process` | `getProcess(String processId)` Returns a referent to the Process identified by the given processId
`Collection<Process>` | `getProcesses()`
`Query` | `getQuery(String packageName, String queryName)` Returns a reference to the Rule identified by the given package and rule names.
`Rule` | `getRule(String packageName, String ruleName)` Returns a reference to the Rule identified by the given package and rule names.
`org.drools.RuleBase` | `getRuleBase()`
`Collection<StatefulKnowledgeSession>` | `getStatefulKnowledgeSessions()` Return a collection of the StatefulKnowledgeSessions that exist in this KnowledgeBase.
`StatefulKnowledgeSession` | `newStatefulKnowledgeSession()` Create a new StatefulKnowledgeSession using the default session configuration.
`StatefulKnowledgeSession` | `newStatefulKnowledgeSession(KnowledgeSessionConfiguration conf, Environment environment)` Create a new StatefulKnowledgeSession using the given session configuration and/or environment.
`StatelessKnowledgeSession` | `newStatelessKnowledgeSession()` Create a new StatelessKnowledgeSession using the default session configuration.
`StatelessKnowledgeSession` | `newStatelessKnowledgeSession(KnowledgeSessionConfiguration conf)` Create a new StatelessKnowledgeSession using the given session configuration.
`void` | `removeEventListener(KnowledgeBaseEventListener listener)` Remove an event listener.
`void` | `removeFunction(String packageName, String ruleName)` Remove a function from the specified package.
`void` | `removeKnowledgePackage(String packageName)` Remove a KnowledgePackage and all the definitions it contains from the KnowledgeBase.
`void` | `removeProcess(String processId)` Remove a process from the specified package.
`void` | `removeQuery(String packageName, String queryName)` Remove a rule from the specified package.
`void` | `removeRule(String packageName, String ruleName)` Remove a rule from the specified package.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBaseImpl

    public ProcessBaseImpl()

Method Detail

### addEventListener

    public void addEventListener(KnowledgeBaseEventListener listener)

  Description copied from interface: `KnowledgeBaseEventManager`
  Add an event listener.

  Specified by:
    `addEventListener` in interface `KnowledgeBaseEventManager`
  Parameters:
    `listener` - The listener to add.

### removeEventListener

    public void removeEventListener(KnowledgeBaseEventListener listener)

  Description copied from interface: `KnowledgeBaseEventManager`
  Remove an event listener.

  Specified by:
    `removeEventListener` in interface `KnowledgeBaseEventManager`
  Parameters:
    `listener` - The listener to remove.

### getKnowledgeBaseEventListeners

    public Collection<KnowledgeBaseEventListener> getKnowledgeBaseEventListeners()

  Description copied from interface: `KnowledgeBaseEventManager`
  Returns all event listeners.

  Specified by:
    `getKnowledgeBaseEventListeners` in interface `KnowledgeBaseEventManager`
  Returns:
    listeners The listeners.

### addKnowledgePackage

    public void addKnowledgePackage(KnowledgePackage knowledgePackage)

### addKnowledgePackages

    public void addKnowledgePackages(Collection<KnowledgePackage> knowledgePackages)

  Description copied from interface: `KnowledgeBase`
  Add the collection of KnowledgePackages to the KnowledgeBase. It is recommended that you ALWAYS check KnowledgeBuilder.hasErrors() first before doing this.

  Specified by:
    `addKnowledgePackages` in interface `KnowledgeBase`

### getKnowledgePackages

    public Collection<KnowledgePackage> getKnowledgePackages()

  Description copied from interface: `KnowledgeBase`
  Return an immutable collection of the packages that exist in this KnowledgeBase.

  Specified by:
    `getKnowledgePackages` in interface `KnowledgeBase`
  Returns:

### newStatefulKnowledgeSession

    public StatefulKnowledgeSession newStatefulKnowledgeSession()

  Description copied from interface: `KnowledgeBase`
  Create a new StatefulKnowledgeSession using the default session configuration. Don't forget to dispose() session when you are done.

  Specified by:
    `newStatefulKnowledgeSession` in interface `KnowledgeBase`
  Returns:
    The StatefulKnowledgeSession.

### newStatefulKnowledgeSession

    public StatefulKnowledgeSession newStatefulKnowledgeSession(KnowledgeSessionConfiguration conf,
                                                                Environment environment)

  Description copied from interface: `KnowledgeBase`
  Create a new StatefulKnowledgeSession using the given session configuration and/or environment. Either one can be null and it will use a default. Don't forget to dispose() session when you are done.

  Specified by:
    `newStatefulKnowledgeSession` in interface `KnowledgeBase`
  Returns:
    The StatefulKnowledgeSession.

### getStatefulKnowledgeSessions

    public Collection<StatefulKnowledgeSession> getStatefulKnowledgeSessions()

  Description copied from interface: `KnowledgeBase`
  Return a collection of the StatefulKnowledgeSessions that exist in this KnowledgeBase. Be careful as sessions are not thread-safe and could be in use elsewhere.

  Specified by:
    `getStatefulKnowledgeSessions` in interface `KnowledgeBase`
  Returns:
    a Collection of StatefulKnowledgeSessions

### newStatelessKnowledgeSession

    public StatelessKnowledgeSession newStatelessKnowledgeSession()

  Description copied from interface: `KnowledgeBase`
  Create a new StatelessKnowledgeSession using the default session configuration. You do not need to call dispose() on this.

  Specified by:
    `newStatelessKnowledgeSession` in interface `KnowledgeBase`
  Returns:
    The StatelessKnowledgeSession.

### newStatelessKnowledgeSession

    public StatelessKnowledgeSession newStatelessKnowledgeSession(KnowledgeSessionConfiguration conf)

  Description copied from interface: `KnowledgeBase`
  Create a new StatelessKnowledgeSession using the given session configuration. You do not need to call dispose() on this.

  Specified by:
    `newStatelessKnowledgeSession` in interface `KnowledgeBase`
  Returns:
    The StatelessKnowledgeSession.

### removeKnowledgePackage

    public void removeKnowledgePackage(String packageName)

  Description copied from interface: `KnowledgeBase`
  Remove a KnowledgePackage and all the definitions it contains from the KnowledgeBase.

  Specified by:
    `removeKnowledgePackage` in interface `KnowledgeBase`

### removeRule

    public void removeRule(String packageName,
                           String ruleName)

  Description copied from interface: `KnowledgeBase`
  Remove a rule from the specified package.

  Specified by:
    `removeRule` in interface `KnowledgeBase`

### removeQuery

    public void removeQuery(String packageName,
                            String queryName)

  Description copied from interface: `KnowledgeBase`
  Remove a rule from the specified package.

  Specified by:
    `removeQuery` in interface `KnowledgeBase`

### removeFunction

    public void removeFunction(String packageName,
                               String ruleName)

  Description copied from interface: `KnowledgeBase`
  Remove a function from the specified package.

  Specified by:
    `removeFunction` in interface `KnowledgeBase`

### removeProcess

    public void removeProcess(String processId)

  Description copied from interface: `KnowledgeBase`
  Remove a process from the specified package.

  Specified by:
    `removeProcess` in interface `KnowledgeBase`

### getFactType

    public FactType getFactType(String packageName,
                                String typeName)

  Description copied from interface: `KnowledgeBase`
  Returns the FactType identified by the given package and type names.

  Specified by:
    `getFactType` in interface `KnowledgeBase`
  Parameters:
    `packageName` - the name of the package the fact belongs to.
    `typeName` - the name of the type.
  Returns:
    the FactType identified by the parameters or null if FactType not found.

### getKnowledgePackage

    public KnowledgePackage getKnowledgePackage(String packageName)

  Description copied from interface: `KnowledgeBase`
  Returns a reference to the KnowledgePackage identified by the given name.

  Specified by:
    `getKnowledgePackage` in interface `KnowledgeBase`
  Parameters:
    `packageName` - the name of the KnowledgePackage to return
  Returns:
    the KnowledgePackage identified by the the given name or null if package not found.

### getProcess

    public Process getProcess(String processId)

  Description copied from interface: `KnowledgeBase`
  Returns a referent to the Process identified by the given processId

  Specified by:
    `getProcess` in interface `KnowledgeBase`
  Parameters:
    `processId` - the id of the process
  Returns:
    the Process identified by the given processId or null if process not found.

### getProcesses

    public Collection<Process> getProcesses()

  Specified by:
    `getProcesses` in interface `KnowledgeBase`

### getRule

    public Rule getRule(String packageName,
                        String ruleName)

  Description copied from interface: `KnowledgeBase`
  Returns a reference to the Rule identified by the given package and rule names.

  Specified by:
    `getRule` in interface `KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the rule belongs to.
    `ruleName` - the name of the rule.
  Returns:
    the Rule object or null if not found.

### getQuery

    public Query getQuery(String packageName,
                          String queryName)

  Description copied from interface: `KnowledgeBase`
  Returns a reference to the Rule identified by the given package and rule names.

  Specified by:
    `getQuery` in interface `KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the rule belongs to.
  Returns:
    the Rule object or null if not found.

### getRuleBase

    public org.drools.RuleBase getRuleBase()

  Specified by:
    `getRuleBase` in interface `org.drools.impl.InternalKnowledgeBase`

### getEntryPointIds

    public Set<String> getEntryPointIds()

  Description copied from interface: `KnowledgeBase`
  Returns the set of the entry points declared and/or used in this knowledge base

  Specified by:
    `getEntryPointIds` in interface `KnowledgeBase`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.